Loading...
Searching...
No Matches
alloc.h File Reference
SPA » Buffers

`spa/buffer/alloc.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_buffer_alloc_info
| information about the buffer layout More...

## Macros

#define | SPA_BUFFER_ALLOC_FLAG_INLINE_META (1<<0)
| add metadata data in the skeleton
#define | SPA_BUFFER_ALLOC_FLAG_INLINE_CHUNK (1<<1)
| add chunk data in the skeleton
#define | SPA_BUFFER_ALLOC_FLAG_INLINE_DATA (1<<2)
| add buffer data to the skeleton
#define | SPA_BUFFER_ALLOC_FLAG_INLINE_ALL 0b111
#define | SPA_BUFFER_ALLOC_FLAG_NO_DATA (1<<3)
| don't set data pointers

## Functions

static int | spa_buffer_alloc_fill_info (struct spa_buffer_alloc_info *info, uint32_t n_metas, struct spa_meta metas[], uint32_t n_datas, struct spa_data datas[], uint32_t data_aligns[])
| Fill buffer allocation information.
static struct spa_buffer * | spa_buffer_alloc_layout (struct spa_buffer_alloc_info *info, void *skel_mem, void *data_mem)
| Fill skeleton and data according to the allocation info.
static int | spa_buffer_alloc_layout_array (struct spa_buffer_alloc_info *info, uint32_t n_buffers, struct spa_buffer *buffers[], void *skel_mem, void *data_mem)
| Layout an array of buffers.
static struct spa_buffer ** | spa_buffer_alloc_array (uint32_t n_buffers, uint32_t flags, uint32_t n_metas, struct spa_meta metas[], uint32_t n_datas, struct spa_data datas[], uint32_t data_aligns[])
| Allocate an array of buffers.

## Detailed Description

`spa/buffer/alloc.h`